#include "MenuTextLeft_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextLeft_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextLeft_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_left;
}

std::shared_ptr<Entity> CreateMenuTextLeft_Player1Keyboard()
{
	return std::make_shared<MenuTextLeft_Player1Keyboard>();
}


